Bug 60228 - [UPDATE] Update lang/mono to 0.29
Summary: [UPDATE] Update lang/mono to 0.29
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-14 10:30 UTC by John Merryweather Cooper
Modified: 2004-07-05 18:09 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2003-12-14 10:30:16 UTC
	Update lang/mono to the latest version.

Fix: # This is a patch for mono to update it to mono-0.29
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# If you have a decent Bourne-type shell:
# STEP 2: Run the shell with this file as input.
# If you don't have such a shell, you may need to manually delete
# the files as shown below.
# STEP 3: Run the 'patch' program with this file as input.
#
# These are the commands needed to create/delete files/directories:
#
rm -f 'files/patch-mono_metadata_debug-mono-symfile.c'
#
# This command terminates the shell and need not be executed manually.
exit
#
#### End of Preamble ####

#### Patch data follows ####


#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Sat Dec 13 22:49:23 2003
# Generated by        : makepatch 2.00
# Recurse directories : Yes
# r 'files/patch-mono_metadata_debug-mono-symfile.c' 349 0
# p 'Makefile' 1209 1071383218 0100644
# p 'distinfo' 58 1071383079 0100644
# p 'pkg-plist' 4179 1071384074 0100644
#### End of ApplyPatch data ####

#### End of Patch kit [created: Sat Dec 13 22:49:23 2003] ####
#### Checksum: 320 9546 47845 ####


--------------090005050200040404080801----l9mKBxARVa4UnRTQHeeBckwFp8VWbvPPboraAiNl8GfxAUE0
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -u 'mono/Makefile' 'mono-0.29/Makefile'
Index: ./Makefile
--- ./Makefile	Thu Oct 16 20:27:36 2003
+++ ./Makefile	Sat Dec 13 22:26:58 2003
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	mono
-PORTVERSION=	0.28
-PORTREVISION=	1
+PORTVERSION=	0.29
 CATEGORIES=	lang
 MASTER_SITES=	http://www.go-mono.com/archive/
 
@@ -17,7 +16,7 @@
 USE_LIBTOOL=	yes
 USE_REINPLACE=	yes
 USE_BISON=	yes
-USE_GNOME=	gnomehack glib20 pkgconfig
+USE_GNOME=	gnomehier gnomehack glib20 pkgconfig
 USE_GMAKE=	yes
 LIBTOOLFILES=	configure libgc/configure
 INSTALLS_SHLIB=	yes
diff -u 'mono/distinfo' 'mono-0.29/distinfo'
Index: ./distinfo
--- ./distinfo	Sun Nov 30 02:39:02 2003
+++ ./distinfo	Sat Dec 13 22:24:39 2003
@@ -1 +1 @@
-MD5 (mono-0.28.tar.gz) = 108f89a08c1f1dd772b8d48ea5dcaf24
+MD5 (mono-0.29.tar.gz) = 3f79461475bacc2ec4c3f85de213d8a0
diff -u 'mono/pkg-plist' 'mono-0.29/pkg-plist'
Index: ./pkg-plist
--- ./pkg-plist	Sun Nov 30 02:39:02 2003
+++ ./pkg-plist	Sat Dec 13 22:41:14 2003
@@ -2,6 +2,8 @@
 bin/chktrust.exe
 bin/cilc
 bin/cilc.exe
+bin/disco
+bin/disco.exe
 bin/genxs
 bin/genxs.exe
 bin/ilasm
@@ -28,6 +30,7 @@
 bin/wsdl.exe
 bin/xsd
 bin/xsd.exe
+etc/mono/DefaultWsdlHelpGenerator.aspx
 etc/mono/config
 etc/mono/machine.config
 include/mono/cil/opcode.def
@@ -67,6 +70,7 @@
 include/mono/metadata/exception.h
 include/mono/metadata/image.h
 include/mono/metadata/loader.h
+include/mono/metadata/locales.h
 include/mono/metadata/mempool.h
 include/mono/metadata/metadata.h
 include/mono/metadata/monitor.h
@@ -90,6 +94,7 @@
 include/mono/utils/mono-digest.h
 include/mono/utils/mono-hash.h
 include/mono/utils/mono-logger.h
+include/mono/utils/mono-math.h
 include/mono/utils/monobitset.h
 lib/Accessibility.dll
 lib/ByteFX.Data.dll
@@ -114,7 +119,6 @@
 lib/Mono.Data.SybaseClient.dll
 lib/Mono.Data.Tds.dll
 lib/Mono.Data.TdsClient.dll
-lib/Mono.Directory.LDAP.dll
 lib/Mono.GetOptions.dll
 lib/Mono.Http.dll
 lib/Mono.PEToolkit.dll
@@ -123,6 +127,7 @@
 lib/Mono.Security.dll
 lib/NUnit.Framework.dll
 lib/NUnit.Util.dll
+lib/Novell.Directory.Ldap.dll
 lib/Npgsql.dll
 lib/PEAPI.dll
 lib/System.Configuration.Install.dll
@@ -144,17 +149,192 @@
 lib/System.Windows.Forms.dll
 lib/System.Xml.dll
 lib/System.dll
-lib/corlib.dll
+lib/libgdiplus.dll.so
 lib/libmono-profiler-cov.a
 lib/libmono-profiler-cov.so
 lib/libmono-profiler-cov.so.0
 lib/libmono.a
 lib/libmono.so
 lib/libmono.so.0
+lib/mscorlib.dll
 libdata/pkgconfig/mono.pc
 share/mono/cil/cil-opcodes.xml
+@dirrm share/xml
+@dirrm share/skel
+@dirrm share/sgml
+@dirrm share/nls/zh_TW.Big5
+@dirrm share/nls/zh_CN.eucCN
+@dirrm share/nls/zh_CN.GBK
+@dirrm share/nls/zh_CN.GB18030
+@dirrm share/nls/uk_UA.KOI8-U
+@dirrm share/nls/uk_UA.ISO8859-5
+@dirrm share/nls/tr_TR.ISO8859-9
+@dirrm share/nls/sv_SE.ISO8859-15
+@dirrm share/nls/sv_SE.ISO8859-1
+@dirrm share/nls/sl_SI.ISO8859-2
+@dirrm share/nls/sk_SK.ISO8859-2
+@dirrm share/nls/ru_RU.KOI8-R
+@dirrm share/nls/ru_RU.ISO8859-5
+@dirrm share/nls/ru_RU.CP866
+@dirrm share/nls/ru_RU.CP1251
+@dirrm share/nls/ro_RO.ISO8859-2
+@dirrm share/nls/pt_PT.ISO8859-15
+@dirrm share/nls/pt_PT.ISO8859-1
+@dirrm share/nls/pt_BR.ISO8859-1
+@dirrm share/nls/pl_PL.ISO8859-2
+@dirrm share/nls/no_NO.ISO8859-15
+@dirrm share/nls/no_NO.ISO8859-1
+@dirrm share/nls/nl_NL.ISO8859-15
+@dirrm share/nls/nl_NL.ISO8859-1
+@dirrm share/nls/nl_BE.ISO8859-15
+@dirrm share/nls/nl_BE.ISO8859-1
+@dirrm share/nls/lt_LT.ISO8859-4
+@dirrm share/nls/la_LN.US-ASCII
+@dirrm share/nls/la_LN.ISO8859-4
+@dirrm share/nls/la_LN.ISO8859-2
+@dirrm share/nls/la_LN.ISO8859-15
+@dirrm share/nls/la_LN.ISO8859-1
+@dirrm share/nls/ko_KR.eucKR
+@dirrm share/nls/ja_JP.eucJP
+@dirrm share/nls/ja_JP.SJIS
+@dirrm share/nls/it_IT.ISO8859-15
+@dirrm share/nls/it_IT.ISO8859-1
+@dirrm share/nls/it_CH.ISO8859-15
+@dirrm share/nls/it_CH.ISO8859-1
+@dirrm share/nls/is_IS.ISO8859-15
+@dirrm share/nls/is_IS.ISO8859-1
+@dirrm share/nls/hu_HU.ISO8859-2
+@dirrm share/nls/hr_HR.ISO8859-2
+@dirrm share/nls/hi_IN.ISCII-DEV
+@dirrm share/nls/fr_FR.ISO8859-15
+@dirrm share/nls/fr_FR.ISO8859-1
+@dirrm share/nls/fr_CH.ISO8859-15
+@dirrm share/nls/fr_CH.ISO8859-1
+@dirrm share/nls/fr_CA.ISO8859-15
+@dirrm share/nls/fr_CA.ISO8859-1
+@dirrm share/nls/fr_BE.ISO8859-15
+@dirrm share/nls/fr_BE.ISO8859-1
+@dirrm share/nls/fi_FI.ISO8859-15
+@dirrm share/nls/fi_FI.ISO8859-1
+@dirrm share/nls/et_EE.ISO8859-15
+@dirrm share/nls/es_ES.ISO8859-15
+@dirrm share/nls/es_ES.ISO8859-1
+@dirrm share/nls/en_US.US-ASCII
+@dirrm share/nls/en_US.ISO8859-15
+@dirrm share/nls/en_US.ISO8859-1
+@dirrm share/nls/en_NZ.US-ASCII
+@dirrm share/nls/en_NZ.ISO8859-15
+@dirrm share/nls/en_NZ.ISO8859-1
+@dirrm share/nls/en_GB.US-ASCII
+@dirrm share/nls/en_GB.ISO8859-15
+@dirrm share/nls/en_GB.ISO8859-1
+@dirrm share/nls/en_CA.US-ASCII
+@dirrm share/nls/en_CA.ISO8859-15
+@dirrm share/nls/en_CA.ISO8859-1
+@dirrm share/nls/en_AU.US-ASCII
+@dirrm share/nls/en_AU.ISO8859-15
+@dirrm share/nls/en_AU.ISO8859-1
+@dirrm share/nls/el_GR.ISO8859-7
+@dirrm share/nls/de_DE.ISO8859-15
+@dirrm share/nls/de_DE.ISO8859-1
+@dirrm share/nls/de_CH.ISO8859-15
+@dirrm share/nls/de_CH.ISO8859-1
+@dirrm share/nls/de_AT.ISO8859-15
+@dirrm share/nls/de_AT.ISO8859-1
+@dirrm share/nls/da_DK.ISO8859-15
+@dirrm share/nls/da_DK.ISO8859-1
+@dirrm share/nls/cs_CZ.ISO8859-2
+@dirrm share/nls/bg_BG.CP1251
+@dirrm share/nls/am_ET.UTF-8
+@dirrm share/nls/af_ZA.ISO8859-15
+@dirrm share/nls/af_ZA.ISO8859-1
+@dirrm share/nls/POSIX
+@dirrm share/nls/C
+@dirrm share/nls
 @dirrm share/mono/cil
 @dirrm share/mono
+@dirrm share/misc
+@dirrm share/java/classes
+@dirrm share/java
+@dirrm share/emacs/site-lisp
+@dirrm share/emacs
+@dirrm share/dict
+@dirrm sbin
+@dirrm man/ru.KOI8-R/mann
+@dirrm man/ru.KOI8-R/manl
+@dirrm man/ru.KOI8-R/man9
+@dirrm man/ru.KOI8-R/man8
+@dirrm man/ru.KOI8-R/man7
+@dirrm man/ru.KOI8-R/man6
+@dirrm man/ru.KOI8-R/man5
+@dirrm man/ru.KOI8-R/man4
+@dirrm man/ru.KOI8-R/man3
+@dirrm man/ru.KOI8-R/man2
+@dirrm man/ru.KOI8-R/man1
+@dirrm man/ru.KOI8-R/catn
+@dirrm man/ru.KOI8-R/catl
+@dirrm man/ru.KOI8-R/cat9
+@dirrm man/ru.KOI8-R/cat8
+@dirrm man/ru.KOI8-R/cat7
+@dirrm man/ru.KOI8-R/cat6
+@dirrm man/ru.KOI8-R/cat5
+@dirrm man/ru.KOI8-R/cat4
+@dirrm man/ru.KOI8-R/cat3
+@dirrm man/ru.KOI8-R/cat2
+@dirrm man/ru.KOI8-R/cat1
+@dirrm man/ru.KOI8-R
+@dirrm man/en.ISO8859-1/catn
+@dirrm man/en.ISO8859-1/cat9/i386
+@dirrm man/en.ISO8859-1/cat9
+@dirrm man/en.ISO8859-1/cat8/i386
+@dirrm man/en.ISO8859-1/cat8/alpha
+@dirrm man/en.ISO8859-1/cat8
+@dirrm man/en.ISO8859-1/cat7
+@dirrm man/en.ISO8859-1/cat6
+@dirrm man/en.ISO8859-1/cat5
+@dirrm man/en.ISO8859-1/cat4/i386
+@dirrm man/en.ISO8859-1/cat4/alpha
+@dirrm man/en.ISO8859-1/cat4
+@dirrm man/en.ISO8859-1/cat3
+@dirrm man/en.ISO8859-1/cat2
+@dirrm man/en.ISO8859-1/cat1aout
+@dirrm man/en.ISO8859-1/cat1
+@dirrm man/en.ISO8859-1
+@dirrm man/de.ISO8859-1/mann
+@dirrm man/de.ISO8859-1/manl
+@dirrm man/de.ISO8859-1/man9
+@dirrm man/de.ISO8859-1/man8
+@dirrm man/de.ISO8859-1/man7
+@dirrm man/de.ISO8859-1/man6
+@dirrm man/de.ISO8859-1/man5
+@dirrm man/de.ISO8859-1/man4
+@dirrm man/de.ISO8859-1/man3
+@dirrm man/de.ISO8859-1/man2
+@dirrm man/de.ISO8859-1/man1
+@dirrm man/de.ISO8859-1/catn
+@dirrm man/de.ISO8859-1/catl
+@dirrm man/de.ISO8859-1/cat9
+@dirrm man/de.ISO8859-1/cat8
+@dirrm man/de.ISO8859-1/cat7
+@dirrm man/de.ISO8859-1/cat6
+@dirrm man/de.ISO8859-1/cat5
+@dirrm man/de.ISO8859-1/cat4
+@dirrm man/de.ISO8859-1/cat3
+@dirrm man/de.ISO8859-1/cat2
+@dirrm man/de.ISO8859-1/cat1
+@dirrm man/de.ISO8859-1
+@dirrm libdata/pkgconfig
+@dirrm lib/perl5/site_perl/5.005/i386-freebsd/auto
+@dirrm lib/perl5/site_perl/5.005/i386-freebsd
+@dirrm lib/perl5/site_perl/5.005/auto
+@dirrm lib/perl5/site_perl/5.005/alpha-freebsd/auto
+@dirrm lib/perl5/site_perl/5.005/alpha-freebsd
+@dirrm lib/perl5/site_perl/5.005
+@dirrm lib/perl5/site_perl
+@dirrm lib/perl5/5.00503/man/man3
+@dirrm lib/perl5/5.00503/man
+@dirrm lib/perl5/5.00503
+@dirrm lib/perl5
 @dirrm include/mono/utils
 @dirrm include/mono/private
 @dirrm include/mono/metadata
#### End of Patch data ####
How-To-Repeat: 	N/A
Comment 1 Kirill Ponomarev freebsd_committer 2003-12-14 10:31:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer.
Comment 2 Joe Marcus Clarke freebsd_committer 2003-12-15 21:36:46 UTC
State Changed
From-To: open->closed

Committed with some modifications.  Thanks!